//                                               //
// PaperPlane - Just a Telegram Library for Dart //
//          Copyright (c) 2020 Nebulino          //
//                                               //

/// Telegram Library.
/// It groups all the Telegram Api objects.
/// All objects used in the Bot API responses are represented as JSON-objects.
/// It is safe to use 32-bit signed integers for storing
/// all Integer fields unless otherwise noted.
/// Optional fields may be not returned when irrelevant.
library telegram;

export 'package:paperplane/src/telegram/chat.dart';
export 'package:paperplane/src/telegram/core.dart';
export 'package:paperplane/src/telegram/game.dart';
export 'package:paperplane/src/telegram/inline.dart';
export 'package:paperplane/src/telegram/inputmedia.dart';
export 'package:paperplane/src/telegram/keyboard.dart';
export 'package:paperplane/src/telegram/media.dart';
export 'package:paperplane/src/telegram/message.dart';
export 'package:paperplane/src/telegram/passport.dart';
export 'package:paperplane/src/telegram/payment.dart';
export 'package:paperplane/src/telegram/poll.dart';
export 'package:paperplane/src/telegram/sticker.dart';
export 'package:paperplane/src/telegram/user.dart';
